Skip to content

List form fields

GET
/v1/forms/{form}/fields
curl --request GET \
--url https://api.submeto.com/v1/forms/example/fields \
--header 'Authorization: Bearer <token>'

Returns the field configuration of a form, ordered by position. The response includes an ETag validator for the form.

form
required
string

The form ID.

Form fields

Media typeapplication/json
object
data
Array<object>
object
id
string
name
string
label
string
type
string
required
boolean
options
string
nullable
validation
object
kind
string
preset
string
position
integer
created_at
string
updated_at
string
request_id
string
Example
{
"data": [
{
"id": "REQUEST_ID",
"name": "email",
"label": "Email",
"type": "string",
"required": true,
"options": null,
"validation": {
"kind": "preset",
"preset": "email"
},
"position": 0,
"created_at": "2026-01-15T09:00:00.000Z",
"updated_at": "2026-01-15T09:00:00.000Z"
}
],
"request_id": "REQUEST_ID"
}

Not found or not granted

Media typeapplication/json
object
error
object
code
string
message
string
details
object
request_id
string
Example
{
"error": {
"code": "resource_not_found",
"message": "Resource not found.",
"details": {}
},
"request_id": "REQUEST_ID"
}